# Uses of Class
org.apache.commons.math3.dfp.DfpField

Packages that use DfpField
Package
Description
org.apache.commons.math3.dfp
Decimal floating point library for Java

## Uses of DfpField in org.apache.commons.math3.dfp

Methods in org.apache.commons.math3.dfp that return DfpField
Modifier and Type
Method
Description
`DfpField`
Dfp.`getField()`
Get the `Field` (really a `DfpField`) to which the instance belongs.
Methods in org.apache.commons.math3.dfp with parameters of type DfpField
Modifier and Type
Method
Description
`protected static Dfp[]`
DfpMath.`split(DfpField field, String a)`
Breaks a string representation up into two dfp's.
Constructors in org.apache.commons.math3.dfp with parameters of type DfpField
Modifier
Constructor
Description
`protected`
`Dfp(DfpField field)`
Makes an instance with a value of zero.
`protected`
`Dfp(DfpField field, byte x)`
Create an instance from a byte value.
`protected`
`Dfp(DfpField field, byte sign, byte nans)`
Creates an instance with a non-finite value.
`protected`
`Dfp(DfpField field, double x)`
Create an instance from a double value.
`protected`
`Dfp(DfpField field, int x)`
Create an instance from an int value.
`protected`
`Dfp(DfpField field, long x)`
Create an instance from a long value.
`protected`
`Dfp(DfpField field, String s)`
Create an instance from a String representation.
`protected`
`DfpDec(DfpField factory)`
Makes an instance with a value of zero.
`protected`
`DfpDec(DfpField factory, byte x)`
Create an instance from a byte value.
`protected`
`DfpDec(DfpField factory, byte sign, byte nans)`
Creates an instance with a non-finite value.
`protected`
`DfpDec(DfpField factory, double x)`
Create an instance from a double value.
`protected`
`DfpDec(DfpField factory, int x)`
Create an instance from an int value.
`protected`
`DfpDec(DfpField factory, long x)`
Create an instance from a long value.
`protected`
`DfpDec(DfpField factory, String s)`
Create an instance from a String representation.